| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwClustal.cpp File Reference

Library routines to read and write Clustal sequence files. More...

`#include "rwClustal.h"`
`#include "utilities.h"`
`#include <fstream>`

Go to the source code of this file.

## Functions
int | readClustal (Bstring &filename, Bmolgroup *molgroup)
| Reads Clustal format sequence files. More...
int | writeClustal (Bstring &filename, Bmolgroup *molgroup)
| Writes Clustal format sequence files. More...

## Variables
int | verbose

## Detailed Description

Library routines to read and write Clustal sequence files.

Author
  Bernard Heymann

Date
  Created: 20030309
  Modified: 20060722

Definition in file rwClustal.cpp.

## Function Documentation

## ◆ readClustal()

int readClustal | ( | Bstring & | filename,
|  | Bmolgroup * | molgroup
| ) |  |

Reads Clustal format sequence files.

Parameters

  &filename | sequence file name.
  *molgroup | molecule group.

Returns
  int number of molecules read (<0 if reading failed).

      Clustal format:

      NP_039940       -----MHAKMNGWAGVRL--VTHCLNTRSRTYVALNMLAFARTPRGVPSCLFNKVWVSRY
      P16720          -----MHAKMNGWAGVRL--VTHCLNTRSRTYVALNMLAFARTPRGVPSCLFNKVWVSRY
      DAA00163        -----MHAKMNGWAGVRL--VTHCLNTRSRTYVALNMLAFARTPRGVPSCLFNKVWVSRY

Definition at line 29 of file rwClustal.cpp.

## ◆ writeClustal()

int writeClustal | ( | Bstring & | filename,
|  | Bmolgroup * | molgroup
| ) |  |

Writes Clustal format sequence files.

Parameters

  &filename | sequence file name.
  *molgroup | molecule group.

Returns
  int number of molecules written (<0 if writing failed).

Definition at line 81 of file rwClustal.cpp.

## Variable Documentation

## ◆ verbose

int verbose